Index: code/branches/buildsystem2/CMakeLists.txt
===================================================================
--- code/branches/buildsystem2/CMakeLists.txt	(revision 2623)
+++ code/branches/buildsystem2/CMakeLists.txt	(revision 2624)
@@ -11,5 +11,5 @@
 IF(${CMAKE_CURRENT_SOURCE_DIR} STREQUAL ${CMAKE_CURRENT_BINARY_DIR})
   MESSAGE(FATAL_ERROR "Do not use the root directory as CMake output directory! mkdir build; cd build; cmake ..")
-ENDIF(${CMAKE_CURRENT_SOURCE_DIR} STREQUAL ${CMAKE_CURRENT_BINARY_DIR})
+ENDIF()
 
 # This sets where to look for modules (e.g. "Find*.cmake" files)
Index: code/branches/buildsystem2/bin-config/CMakeLists.txt
===================================================================
--- code/branches/buildsystem2/bin-config/CMakeLists.txt	(revision 2623)
+++ code/branches/buildsystem2/bin-config/CMakeLists.txt	(revision 2624)
@@ -25,24 +25,24 @@
     IF(${_build_config} MATCHES "Rel")
       SET(_build_config_short "Release")
-    ELSE(${_build_config} MATCHES "Rel")
+    ELSE()
       SET(_build_config_short "Debug")
-    ENDIF(${_build_config} MATCHES "Rel")
+    ENDIF()
     IF(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${_build_config_short}/${_file_name})
       SET(_in_file ${CMAKE_CURRENT_SOURCE_DIR}/${_build_config_short}/${_file_name})
-    ELSE(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${_build_config_short}/${_file_name})
+    ELSE()
       SET(_in_file ${CMAKE_CURRENT_SOURCE_DIR}/${_file_name})
-    ENDIF(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${_build_config_short}/${_file_name})
+    ENDIF()
 
     # Copy to the folder named like the build config for Visual Studio
     IF(CMAKE_CONFIGURATION_TYPES)
       SET(_out_file ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/${_build_config}/${_file_name})
-    ELSE(CMAKE_CONFIGURATION_TYPES)
+    ELSE()
       SET(_out_file ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/${_file_name})
-    ENDIF(CMAKE_CONFIGURATION_TYPES)
+    ENDIF()
     # Only copy if target file doesn't exist. This may result in problems but
     # otherwise we might delete a user's config
-    IF (NOT EXISTS ${_out_file} OR _read_only)
+    IF(NOT EXISTS ${_out_file} OR _read_only)
       CONFIGURE_FILE(${_in_file} ${_out_file} @ONLY)
-    ENDIF (NOT EXISTS ${_out_file} OR _read_only)
+    ENDIF()
   ENDFOREACH(_build_config)
 ENDMACRO(CONFIGURE_FILES)
@@ -51,8 +51,8 @@
 IF(CMAKE_CONFIGURATION_TYPES)
   SET(BUILD_CONFIGS ${CMAKE_CONFIGURATION_TYPES})
-ELSE(CMAKE_CONFIGURATION_TYPES)
+ELSE()
   SET(CONFIG_OUT_PATHS_REL ".")
   SET(BUILD_CONFIGS ${CMAKE_BUILD_TYPE})
-ENDIF(CMAKE_CONFIGURATION_TYPES)
+ENDIF()
 
 FOREACH(_file_name ${READ_ONLY_CONFIG_FILES})
@@ -77,6 +77,6 @@
     SET(RUN_SCRIPT run)
   ENDIF(WIN32)
-  IF (NOT EXISTS ${CMAKE_SOURCE_DIR}/${RUN_SCRIPT})
+  IF(NOT EXISTS ${CMAKE_SOURCE_DIR}/${RUN_SCRIPT})
     CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/${RUN_SCRIPT} ${CMAKE_SOURCE_DIR}/${RUN_SCRIPT} @ONLY)
-  ENDIF (NOT EXISTS ${CMAKE_SOURCE_DIR}/${RUN_SCRIPT})
+  ENDIF()
 ENDIF(NOT CMAKE_CONFIGURATION_TYPES)
Index: code/branches/buildsystem2/cmake/BuildConfig.cmake
===================================================================
--- code/branches/buildsystem2/cmake/BuildConfig.cmake	(revision 2623)
+++ code/branches/buildsystem2/cmake/BuildConfig.cmake	(revision 2624)
@@ -37,5 +37,5 @@
 IF(NOT ORXONOX_RUNTIME_LIBRARY_DIRECTORY)
   SET(ORXONOX_RUNTIME_LIBRARY_DIRECTORY ${CMAKE_RUNTIME_OUTPUT_DIRECTORY})
-ENDIF(NOT ORXONOX_RUNTIME_LIBRARY_DIRECTORY)
+ENDIF()
 
 # Set Debug build to default when not having multi-config generator like msvc
@@ -44,12 +44,12 @@
     SET(CMAKE_BUILD_TYPE Debug CACHE STRING
         "Build types are: Debug, Release, MinSizeRel, RelWithDebInfo" FORCE)
-  ENDIF(NOT CMAKE_BUILD_TYPE)
+  ENDIF()
   MARK_AS_ADVANCED(CLEAR CMAKE_BUILD_TYPE)
-ELSE(NOT CMAKE_CONFIGURATION_TYPES)
+ELSE()
   IF(CMAKE_BUILD_TYPE)
     SET(CMAKE_BUILD_TYPE CACHE STRING FORCE)
-  ENDIF(CMAKE_BUILD_TYPE)
+  ENDIF()
   MARK_AS_ADVANCED(CMAKE_BUILD_TYPE)
-ENDIF(NOT CMAKE_CONFIGURATION_TYPES)
+ENDIF()
 
 OPTION(EXTRA_WARNINGS "Enable some extra warnings (heavily pollutes the output)")
@@ -61,5 +61,5 @@
 IF(NOT EXISTS ${ORXONOX_MEDIA_DIRECTORY})
   MESSAGE(STATUS "Warning: The media directory does not exist ${ORXONOX_MEDIA_DIRECTORY}")
-ENDIF(NOT EXISTS ${ORXONOX_MEDIA_DIRECTORY})
+ENDIF()
 
 # More plugins: Plugin_BSPSceneManager, Plugin_OctreeSceneManager
@@ -88,7 +88,7 @@
 ELSEIF(MSVC)
   INCLUDE(BuildConfigMSVC)
-ELSE(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_COMPILER_IS_GNUC)
+ELSE()
   MESSAGE(STATUS "Warning: Your compiler is not officially supported.")
-ENDIF(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_COMPILER_IS_GNUC)
+ENDIF()
 
 SET(BUILD_CONFIG_USER_SCRIPT "" CACHE FILEPATH
@@ -102,5 +102,5 @@
   ELSEIF(EXISTS ${CMAKE_MODULE_PATH}/${BUILD_CONFIG_USER_SCRIPT})
     INCLUDE(${CMAKE_MODULE_PATH}/${BUILD_CONFIG_USER_SCRIPT})
-  ENDIF(EXISTS ${CMAKE_MODULE_PATH}/${BUILD_CONFIG_USER_SCRIPT}.cmake)
+  ENDIF()
 ENDIF(BUILD_CONFIG_USER_SCRIPT)
 
Index: code/branches/buildsystem2/cmake/BuildConfigGCC.cmake
===================================================================
--- code/branches/buildsystem2/cmake/BuildConfigGCC.cmake	(revision 2623)
+++ code/branches/buildsystem2/cmake/BuildConfigGCC.cmake	(revision 2624)
@@ -40,5 +40,5 @@
 IF(${CMAKE_SYSTEM_PROCESSOR} STREQUAL "x86_64")
   ADD_COMPILER_FLAGS("-fPIC" CACHE)
-ENDIF(${CMAKE_SYSTEM_PROCESSOR} STREQUAL "x86_64")
+ENDIF()
 
 # Increase warning level if requested
@@ -46,8 +46,8 @@
   REMOVE_COMPILER_FLAGS("-Wall" CACHE)
   ADD_COMPILER_FLAGS("-Wextra --Wno-unused-parameter" CACHE)
-ELSE(EXTRA_WARNINGS)
+ELSE()
   REMOVE_COMPILER_FLAGS("-Wextra --Wno-unused-parameter" CACHE)
   ADD_COMPILER_FLAGS("-Wall" CACHE)
-ENDIF(EXTRA_WARNINGS) 
+ENDIF()
 
 # General linker flags
Index: code/branches/buildsystem2/cmake/BuildConfigMSVC.cmake
===================================================================
--- code/branches/buildsystem2/cmake/BuildConfigMSVC.cmake	(revision 2623)
+++ code/branches/buildsystem2/cmake/BuildConfigMSVC.cmake	(revision 2624)
@@ -50,8 +50,8 @@
   REMOVE_COMPILER_FLAGS("-W1 -W2 -W3" CACHE)
   ADD_COMPILER_FLAGS   ("-W4" CACHE)
-ELSE(EXTRA_WARNINGS)
+ELSE()
   REMOVE_COMPILER_FLAGS("-W1 -W2 -W4" CACHE)
   ADD_COMPILER_FLAGS   ("-W3" CACHE)
-ENDIF(EXTRA_WARNINGS) 
+ENDIF()
 
 # Overwrite CMake default flags here.
Index: code/branches/buildsystem2/cmake/CheckOGREPlugins.cmake
===================================================================
--- code/branches/buildsystem2/cmake/CheckOGREPlugins.cmake	(revision 2623)
+++ code/branches/buildsystem2/cmake/CheckOGREPlugins.cmake	(revision 2624)
@@ -46,8 +46,8 @@
       IF(NOT OGRE_PLUGIN_${_plugin}_OPTIMIZED)
         MESSAGE(FATAL_ERROR "Could not find OGRE plugin named ${_plugin}")
-      ENDIF(NOT OGRE_PLUGIN_${_plugin}_OPTIMIZED)
+      ENDIF()
     ELSEIF(OGRE_PLUGIN_${_plugin}_OPTIMIZED)
       SET(OGRE_RENDER_SYSTEM_FOUND TRUE)
-    ENDIF(NOT ${_plugin} MATCHES "RenderSystem")
+    ENDIF()
 
     IF(OGRE_PLUGIN_${_plugin}_OPTIMIZED)
@@ -55,5 +55,5 @@
       IF(NOT OGRE_PLUGIN_${_plugin}_DEBUG)
         SET(OGRE_PLUGIN_${_plugin}_DEBUG ${OGRE_PLUGIN_${_plugin}_OPTIMIZED} CACHE STRING "" FORCE)
-      ENDIF(NOT OGRE_PLUGIN_${_plugin}_DEBUG)
+      ENDIF()
       MARK_AS_ADVANCED(OGRE_PLUGIN_${_plugin}_OPTIMIZED OGRE_PLUGIN_${_plugin}_DEBUG)
 
@@ -63,10 +63,10 @@
       IF(OGRE_PLUGINS_FOLDER_RELEASE AND NOT OGRE_PLUGINS_FOLDER_RELEASE STREQUAL _release_folder)
         MESSAGE(FATAL_ERROR "Ogre release plugins have to be in the same folder!")
-      ENDIF(OGRE_PLUGINS_FOLDER_RELEASE AND NOT OGRE_PLUGINS_FOLDER_RELEASE STREQUAL _release_folder)
+      ENDIF()
       SET(OGRE_PLUGINS_FOLDER_RELEASE ${_release_folder})
       GET_FILENAME_COMPONENT(_debug_folder ${OGRE_PLUGIN_${_plugin}_DEBUG} PATH)
       IF(OGRE_PLUGINS_FOLDER_DEBUG AND NOT OGRE_PLUGINS_FOLDER_DEBUG STREQUAL _debug_folder)
         MESSAGE(FATAL_ERROR "Ogre debug plugins have to be in the same folder!")
-      ENDIF(OGRE_PLUGINS_FOLDER_DEBUG AND NOT OGRE_PLUGINS_FOLDER_DEBUG STREQUAL _debug_folder)
+      ENDIF()
       SET(OGRE_PLUGINS_FOLDER_DEBUG ${_debug_folder})
 
@@ -77,15 +77,15 @@
         IF(OGRE_PLUGIN_${_plugin}_DEBUG MATCHES "_d\\.|_d$")
           LIST(APPEND OGRE_PLUGINS_DEBUG "${_plugin}_d")
-        ELSE(OGRE_PLUGIN_${_plugin}_DEBUG MATCHES "_d\\.|_d$")
+        ELSE()
           LIST(APPEND OGRE_PLUGINS_DEBUG "${_plugin}d")
-        ENDIF(OGRE_PLUGIN_${_plugin}_DEBUG MATCHES "_d\\.|_d$")
-      ELSE(OGRE_PLUGIN_${_plugin}_DEBUG)
+        ENDIF()
+      ELSE()
         LIST(APPEND OGRE_PLUGINS_DEBUG ${_plugin})
-      ENDIF(OGRE_PLUGIN_${_plugin}_DEBUG)
+      ENDIF()
     ENDIF(OGRE_PLUGIN_${_plugin}_OPTIMIZED)
   ENDFOREACH(_plugin)
   IF(NOT OGRE_RENDER_SYSTEM_FOUND)
       MESSAGE(FATAL_ERROR "Could not find an OGRE render system plugin")
-  ENDIF(NOT OGRE_RENDER_SYSTEM_FOUND)
+  ENDIF()
 
   # List has to be comma separated for orxonox.ini
Index: code/branches/buildsystem2/cmake/DetermineVersion.cmake
===================================================================
--- code/branches/buildsystem2/cmake/DetermineVersion.cmake	(revision 2623)
+++ code/branches/buildsystem2/cmake/DetermineVersion.cmake	(revision 2624)
@@ -24,5 +24,5 @@
     IF(NOT ${_parts_length} EQUAL 3)
       SET(_parts MAJOR MINOR PATCH)
-    ENDIF(NOT ${_parts_length} EQUAL 3)
+    ENDIF()
 
     FOREACH(_part ${_parts})
@@ -31,13 +31,13 @@
         SET(${_name}_VERSION_${_part} ${CMAKE_MATCH_1})
         SET(${_name}_VERSION_${_part} ${CMAKE_MATCH_1} PARENT_SCOPE)
-      ELSE(_match)
+      ELSE()
         SET(${_name}_VERSION_${_part} "0")
         SET(${_name}_VERSION_${_part} "0" PARENT_SCOPE)
-      ENDIF(_match)
+      ENDIF()
       IF("${_parts}" MATCHES "^${_part}") # First?
         SET(${_name}_VERSION "${${_name}_VERSION_${_part}}")
-      ELSE("${_parts}" MATCHES "^${_part}")
+      ELSE()
         SET(${_name}_VERSION "${${_name}_VERSION}.${${_name}_VERSION_${_part}}")
-      ENDIF("${_parts}" MATCHES "^${_part}")
+      ENDIF()
     ENDFOREACH(_part)
     SET(${_name}_VERSION "${${_name}_VERSION}" PARENT_SCOPE)
Index: code/branches/buildsystem2/cmake/FindALUT.cmake
===================================================================
--- code/branches/buildsystem2/cmake/FindALUT.cmake	(revision 2623)
+++ code/branches/buildsystem2/cmake/FindALUT.cmake	(revision 2624)
@@ -45,16 +45,12 @@
     # String is in default search path, don't need to use -F
     SET (ALUT_LIBRARY_OPTIMIZED "-framework OpenAL" CACHE STRING "OpenAL framework for OSX")
-  ELSE("${ALUT_FRAMEWORK_PATH_TMP}" STREQUAL "/Library/Frameworks"
-      OR "${ALUT_FRAMEWORK_PATH_TMP}" STREQUAL "/System/Library/Frameworks"
-      )
+  ELSE()
     # String is not /Library/Frameworks, need to use -F
     SET(ALUT_LIBRARY_OPTIMIZED "-F${ALUT_FRAMEWORK_PATH_TMP} -framework OpenAL" CACHE STRING "OpenAL framework for OSX")
-  ENDIF("${ALUT_FRAMEWORK_PATH_TMP}" STREQUAL "/Library/Frameworks"
-    OR "${ALUT_FRAMEWORK_PATH_TMP}" STREQUAL "/System/Library/Frameworks"
-    )
+  ENDIF()
   # Clear the temp variable so nobody can see it
   SET(ALUT_FRAMEWORK_PATH_TMP "" CACHE INTERNAL "")
 
-ELSE(${ALUT_INCLUDE_DIR} MATCHES ".framework")
+ELSE()
   FIND_LIBRARY(ALUT_LIBRARY_OPTIMIZED
     NAMES alut
@@ -67,5 +63,5 @@
     PATH_SUFFIXES lib libs
   )
-ENDIF(${ALUT_INCLUDE_DIR} MATCHES ".framework")
+ENDIF()
 
 # Handle the REQUIRED argument and set ALUT_FOUND
Index: code/branches/buildsystem2/cmake/FindENet.cmake
===================================================================
--- code/branches/buildsystem2/cmake/FindENet.cmake	(revision 2623)
+++ code/branches/buildsystem2/cmake/FindENet.cmake	(revision 2624)
@@ -42,10 +42,10 @@
   ELSEIF(_enet_header MATCHES "enet_peer_disconnect_later")
     SET(ENET_VERSION 1.1)
-  ELSE(_enet_header MATCHES "enet_socket_set_option")
+  ELSE()
     SET(ENET_VERSION 1.0)
-  ENDIF(_enet_header MATCHES "enet_socket_set_option")
-ELSE(_enet_header MATCHES "ENET_VERSION[ \t]*=[ \t]*1")
+  ENDIF()
+ELSE()
   SET(ENET_VERSION 0) # Script doesn't support versions below 1.0
-ENDIF(_enet_header MATCHES "ENET_VERSION[ \t]*=[ \t]*1")
+ENDIF()
 
 # Handle the REQUIRED argument and set ENET_FOUND
@@ -60,7 +60,7 @@
   # ENet is linked statically, hence we need to add some windows dependencies
   HANDLE_LIBRARY_TYPES(ENET ws2_32 winmm)
-ELSE(NOT LINK_ENET_DYNAMIC AND WIN32)
+ELSE()
   HANDLE_LIBRARY_TYPES(ENET)
-ENDIF(NOT LINK_ENET_DYNAMIC AND WIN32)
+ENDIF()
 
 MARK_AS_ADVANCED(
Index: code/branches/buildsystem2/cmake/FindLua.cmake
===================================================================
--- code/branches/buildsystem2/cmake/FindLua.cmake	(revision 2623)
+++ code/branches/buildsystem2/cmake/FindLua.cmake	(revision 2624)
@@ -7,8 +7,8 @@
   IF(EXISTS ${_file})
     FILE(STRINGS ${_file} _file_content REGEX "LUA_VERSION|LUA_RELEASE")
-  ELSE(EXISTS ${_file})
+  ELSE()
     SET(${_varname} "0" PARENT_SCOPE)
     RETURN()
-  ENDIF(EXISTS ${_file})
+  ENDIF()
   STRING(REGEX REPLACE "^.*LUA_RELEASE[ \t]+\"Lua[ \t]+([.0-9]+)\".*$" "\\1" ${_varname} "${_file_content}")
   IF(${_varname} STREQUAL "${_file_content}")
@@ -17,9 +17,9 @@
     IF(${_varname} STREQUAL "${_file_content}")
       MESSAGE(FATAL_ERROR "Could not determine Lua version which means this script has a bug")
-    ENDIF(${_varname} STREQUAL "${_file_content}")
+    ENDIF()
     IF(${_varname} MATCHES "^[0-9]+\\.[0-9]+$")
       SET(${_varname} "${${_varname}}.0") # E.g. "3.2" is "3.2.0" actually
-    ENDIF(${_varname} MATCHES "^[0-9]+\\.[0-9]+$")
-  ENDIF(${_varname} STREQUAL "${_file_content}")
+    ENDIF()
+  ENDIF()
   SET(${_varname} "${${_varname}}" PARENT_SCOPE)
 ENDFUNCTION(DETERMINE_LUA_VERSION)
@@ -37,5 +37,5 @@
     # Incorrect version found, abort search
     SET(LUA_5.1_INCLUDE_DIR "LUA_5.1_INCLUDE_DIR-NOTFOUND" CACHE PATH "" FORCE)
-  ELSE(NOT _version_compare EQUAL 0)
+  ELSE()
     FIND_LIBRARY(LUA_5.1_LIBRARY_OPTIMIZED
       NAMES lua51 lua5.1 lua
@@ -52,5 +52,5 @@
     IF(LUA_5.1_LIBRARIES)
       SET(LUA_5.1_FOUND TRUE)
-    ENDIF(LUA_5.1_LIBRARIES)
+    ENDIF()
   ENDIF(NOT _version_compare EQUAL 0)
 ENDIF(LUA_5.1_INCLUDE_DIR)
@@ -68,5 +68,5 @@
     # Incorrect version found, abourt search
     SET(LUA_5.0_INCLUDE_DIR "LUA_5.0_INCLUDE_DIR-NOTFOUND" CACHE PATH "" FORCE)
-  ELSE(NOT _version_compare EQUAL 0)
+  ELSE()
     FIND_LIBRARY(LUA_5.0_LUA_LIBRARY_OPTIMIZED
       NAMES lua50 lua5.0 lua5 lua
@@ -85,5 +85,5 @@
     IF(${LUA_5.0_LUA_LIBRARY} MATCHES "framework")
       SET(LUA_5.0_LIBRARIES ${LUA_5.0_LUA_LIBRARY})
-    ELSE(${LUA_5.0_LUA_LIBRARY} MATCHES "framework")
+    ELSE()
       FIND_LIBRARY(LUA_5.0_LUALIB_LIBRARY_OPTIMIZED
         NAMES lualib50 lualib5.0 lualib5 lualib
@@ -101,10 +101,10 @@
       IF(LUA_5.0_LUA_LIBRARY AND LUA_5.0_LUALIB_LIBRARY)
         SET(LUA_5.0_LIBRARIES ${LUA_5.0_LUA_LIBRARY} ${LUA_5.0_LUALIB_LIBRARY})
-      ENDIF(LUA_5.0_LUA_LIBRARY AND LUA_5.0_LUALIB_LIBRARY)
+      ENDIF()
     ENDIF(${LUA_5.0_LUA_LIBRARY} MATCHES "framework")
     
     IF(LUA_5.0_LIBRARIES)
       SET(LUA_5.0_FOUND TRUE)
-    ENDIF(LUA_5.0_LIBRARIES)
+    ENDIF()
   ENDIF(NOT _version_compare EQUAL 0)
 ENDIF(LUA_5.0_INCLUDE_DIR)
@@ -113,11 +113,11 @@
 IF(Lua_FIND_VERSION_EXACT AND NOT Lua_FIND_VERSION MATCHES "^[0-9]*$")
   STRING(REGEX REPLACE "^([0-9]+\\.[0-9]+)(\\..*)?$" "\\1" LUA_VERSION_SELECTION ${Lua_FIND_VERSION})
-ELSE(Lua_FIND_VERSION_EXACT AND NOT Lua_FIND_VERSION MATCHES "^[0-9]*$")
+ELSE()
   IF(LUA_5.1_FOUND) # Prefer version 5.1 if found
     SET(LUA_VERSION_SELECTION "5.1")
   ELSEIF(LUA_5.0_FOUND)
     SET(LUA_VERSION_SELECTION "5.0")
-  ENDIF(LUA_5.1_FOUND)
-ENDIF(Lua_FIND_VERSION_EXACT AND NOT Lua_FIND_VERSION MATCHES "^[0-9]*$")
+  ENDIF()
+ENDIF()
 
 SET(LUA_INCLUDE_DIR "${LUA_${LUA_VERSION_SELECTION}_INCLUDE_DIR}")
@@ -136,5 +136,5 @@
     FIND_LIBRARY(UNIX_MATH_LIBRARY m)
     SET(LUA_LIBRARIES ${LUA_LIBRARIES} ${UNIX_MATH_LIBRARY})
-  ENDIF(UNIX AND NOT APPLE)
+  ENDIF()
 ENDIF(LUA_FOUND)
 
Index: code/branches/buildsystem2/cmake/FindPackageHandleAdvancedArgs.cmake
===================================================================
--- code/branches/buildsystem2/cmake/FindPackageHandleAdvancedArgs.cmake	(revision 2623)
+++ code/branches/buildsystem2/cmake/FindPackageHandleAdvancedArgs.cmake	(revision 2624)
@@ -7,12 +7,12 @@
   IF("${_fail_msg}" STREQUAL "DEFAULT_MSG")
     SET(_fail_msg_adv "Could NOT find ${_name}")
-  ELSE("${_fail_msg}" STREQUAL "DEFAULT_MSG")
+  ELSE()
     SET(_fail_msg_adv "${_fail_msg}")
-  ENDIF("${_fail_msg}" STREQUAL "DEFAULT_MSG")
+  ENDIF()
   IF(${_name}_FIND_VERSION_EXACT)
     SET(_fail_msg_adv "${_fail_msg_adv} (version requirements: exactly ${${_name}_FIND_VERSION}")
-  ELSE(${_name}_FIND_VERSION_EXACT)
+  ELSE()
     SET(_fail_msg_adv "${_fail_msg_adv} (version requirements: at least ${${_name}_FIND_VERSION}")
-  ENDIF(${_name}_FIND_VERSION_EXACT)
+  ENDIF()
   FIND_PACKAGE_HANDLE_STANDARD_ARGS("${_name}" "${_fail_msg_adv}" ${ARGN})
   STRING(TOUPPER ${_name} _NAME_UPPER)
@@ -31,5 +31,5 @@
                           "Your version is ${_version}")
       SET(${_NAME_UPPER}_FOUND FALSE)
-    ENDIF(${_name}_FIND_VERSION_EXACT AND NOT _compatible EQUAL 0)
+    ENDIF()
   ENDIF(${_name}_FIND_VERSION)
 
Index: code/branches/buildsystem2/cmake/FlagUtilities.cmake
===================================================================
--- code/branches/buildsystem2/cmake/FlagUtilities.cmake	(revision 2623)
+++ code/branches/buildsystem2/cmake/FlagUtilities.cmake	(revision 2624)
@@ -23,9 +23,9 @@
   IF(NOT "${_type}" MATCHES "^(STRING|BOOL|PATH|FILEPATH)$")
     MESSAGE(FATAL_ERROR "${_type} is not a valid CACHE entry type")
-  ENDIF(NOT "${_type}" MATCHES "^(STRING|BOOL|PATH|FILEPATH)$")
+  ENDIF()
 
   IF(NOT DEFINED _INTERNAL_${_varname} OR "${_INTERNAL_${_varname}}" STREQUAL "${${_varname}}")
     SET(${_varname} "${_value}" CACHE ${_type} "${_docstring}" FORCE)
-  ENDIF(NOT DEFINED _INTERNAL_${_varname} OR "${_INTERNAL_${_varname}}" STREQUAL "${${_varname}}")
+  ENDIF()
   SET(_INTERNAL_${_varname} "${_value}" CACHE INTERNAL "Do not edit in any case!")
 ENDMACRO(SET_CACHE)
@@ -69,5 +69,5 @@
     # SET
     SET(_flag_list "${_arg_flag_list}")
-  ELSE("${_mode}" STREQUAL "SET")
+  ELSE()
     # ADD or REMOVE
     SEPARATE_FLAGS("${${_varname}}" _flag_list)
@@ -75,5 +75,5 @@
       LIST(${_mode} _flag_list "${_flag}")
     ENDFOREACH(_flag)
-  ENDIF("${_mode}" STREQUAL "SET")
+  ENDIF()
 
   LIST(REMOVE_DUPLICATES _flag_list)
@@ -85,10 +85,10 @@
       SET(${_varname} "${_flag_list}" CACHE STRING "${${_varname}}" FORCE)
       SET(${_varname} "${_flag_list}" CACHE STRING "${${_varname}}" FORCE)
-    ELSE(_force)
+    ELSE()
       SET_CACHE(${_varname} STRING "${${_varname}}" "${_flag_list}")
-    ENDIF(_force)
-  ELSE(_write_to_cache)
+    ENDIF()
+  ELSE()
     SET(${_varname} "${_flag_list}")
-  ENDIF(_write_to_cache)
+  ENDIF()
 ENDMACRO(_INTERNAL_PARSE_FLAGS)
 
@@ -121,21 +121,21 @@
     ELSEIF(_arg MATCHES "^[Nn][Oo][Tt]$")
       SET(_invert_condition TRUE)
-    ELSE(_arg MATCHES "${_key_regex}")
+    ELSE()
       IF(_invert_condition)
         SET(_invert_condition FALSE)
 	IF(${_arg})
           SET(_arg_cond FALSE)
-	ELSE(${_arg})
+	ELSE()
           SET(_arg_cond TRUE)
-	ENDIF(${_arg})
-      ELSE(_invert_condition)
+	ENDIF()
+      ELSE()
         SET(_arg_cond ${${_arg}})
-      ENDIF(_invert_condition)
+      ENDIF()
       IF(_cond AND _arg_cond)
         SET(_cond TRUE)
-      ELSE(_cond AND _arg_cond)
+      ELSE()
         SET(_cond FALSE)
-      ENDIF(_cond AND _arg_cond)
-    ENDIF(_arg MATCHES "${_key_regex}")
+      ENDIF()
+    ENDIF()
   ENDFOREACH(_arg)
 
@@ -143,5 +143,5 @@
   IF(NOT DEFINED _langs)
     SET(_langs ${_keys})
-  ENDIF(NOT DEFINED _langs)
+  ENDIF()
 
   IF(_cond)
@@ -152,7 +152,7 @@
           _INTERNAL_PARSE_FLAGS(${_mode} "${_flags}" ${_varname}_${_build_type} ${_write_to_cache} ${_force})
         ENDFOREACH(_build_type)
-      ELSE(DEFINED _build_types)
+      ELSE()
         _INTERNAL_PARSE_FLAGS(${_mode} "${_flags}" ${_varname} ${_write_to_cache} ${_force})
-      ENDIF(DEFINED _build_types)
+      ENDIF()
     ENDFOREACH(_lang ${_langs})
   ENDIF(_cond)
Index: code/branches/buildsystem2/cmake/HandleLibraryTypes.cmake
===================================================================
--- code/branches/buildsystem2/cmake/HandleLibraryTypes.cmake	(revision 2623)
+++ code/branches/buildsystem2/cmake/HandleLibraryTypes.cmake	(revision 2624)
@@ -34,9 +34,9 @@
       PARENT_SCOPE
     )
-  ELSE(${_name}_LIBRARY_DEBUG AND ${_name}_LIBRARY_OPTIMIZED)
+  ELSE()
     SET(${_name}_LIBRARY
       ${${_name}_LIBRARY_OPTIMIZED} ${ARGN}
       PARENT_SCOPE
      )
-  ENDIF(${_name}_LIBRARY_DEBUG AND ${_name}_LIBRARY_OPTIMIZED)
+  ENDIF()
 ENDFUNCTION(HANDLE_LIBRARY_TYPES)
Index: code/branches/buildsystem2/cmake/LibraryConfig.cmake
===================================================================
--- code/branches/buildsystem2/cmake/LibraryConfig.cmake	(revision 2623)
+++ code/branches/buildsystem2/cmake/LibraryConfig.cmake	(revision 2624)
@@ -27,5 +27,5 @@
   ELSEIF(EXISTS ${CMAKE_MODULE_PATH}/${LIBRARY_CONFIG_USER_SCRIPT})
     INCLUDE(${CMAKE_MODULE_PATH}/${LIBRARY_CONFIG_USER_SCRIPT})
-  ENDIF(EXISTS ${CMAKE_MODULE_PATH}/${LIBRARY_CONFIG_USER_SCRIPT}.cmake)
+  ENDIF()
 ENDIF(LIBRARY_CONFIG_USER_SCRIPT)
 
@@ -66,10 +66,10 @@
   IF(version_comparison LESS 0)
     SET(LUA_VERSION_REQUEST 5.0)
-  ELSE(version_comparison LESS 0)
+  ELSE()
     SET(LUA_VERSION_REQUEST 5.1)
-  ENDIF(version_comparison LESS 0)
-ELSE(CEGUILUA_USE_EXTERNAL_LIBRARY)
+  ENDIF()
+ELSE()
   SET(LUA_VERSION_REQUEST 5)
-ENDIF(CEGUILUA_USE_EXTERNAL_LIBRARY)
+ENDIF()
 FIND_PACKAGE(Lua ${LUA_VERSION_REQUEST} EXACT REQUIRED)
 
@@ -81,11 +81,11 @@
 IF(DEFINED OPENAL_FOUND_FIRST_TIME)
   SET(OPENAL_FOUND_FIRST_TIME FALSE CACHE INTERNAL "")
-ELSE(DEFINED OPENAL_FOUND_FIRST_TIME)
+ELSE()
   SET(OPENAL_FOUND_FIRST_TIME TRUE CACHE INTERNAL "")
   STRING(REGEX REPLACE "^(.*)/AL$" "\\1" _openal_dir_2 ${OPENAL_INCLUDE_DIR})
   IF(_openal_dir_2)
     SET(OPENAL_INCLUDE_DIR ${OPENAL_INCLUDE_DIR} ${_openal_dir_2} CACHE STRING "" FORCE)
-  ENDIF(_openal_dir_2)
-ENDIF(DEFINED OPENAL_FOUND_FIRST_TIME)
+  ENDIF()
+ENDIF()
 # Hide variables created by the script
 MARK_AS_ADVANCED(
Index: code/branches/buildsystem2/cmake/LibraryConfigMSVC.cmake
===================================================================
--- code/branches/buildsystem2/cmake/LibraryConfigMSVC.cmake	(revision 2623)
+++ code/branches/buildsystem2/cmake/LibraryConfigMSVC.cmake	(revision 2624)
@@ -29,5 +29,5 @@
 # Set the library directories when using Visual Studio.   #
 
-IF (MSVC AND LIBRARY_USE_PACKAGE_IF_SUPPORTED)
+IF(MSVC AND LIBRARY_USE_PACKAGE_IF_SUPPORTED)
   MESSAGE(STATUS "Running on MSVC. Using customized paths and options.")
 
@@ -37,7 +37,7 @@
   ELSEIF(EXISTS ${CMAKE_SOURCE_DIR}/../lib_dist/vc8/dependencies/orxonox_vc8)
     SET(MSVC_LIBRARY_DIR "${CMAKE_SOURCE_DIR}/../lib_dist/vc8/dependencies/orxonox_vc8")
-  ELSE(EXISTS ${CMAKE_SOURCE_DIR}/dependencies/orxonox_vc8)
+  ELSE()
     MESSAGE(FATAL_ERROR "Could not find dependency directory for the Visual Studio libraries")
-  ENDIF(EXISTS ${CMAKE_SOURCE_DIR}/dependencies/orxonox_vc8)
+  ENDIF()
   SET(ORXONOX_RUNTIME_LIBRARY_DIRECTORY ${MSVC_LIBRARY_DIR}/bin)
 
@@ -60,7 +60,7 @@
   SET(ZLIB_LIBRARY optimized ${MSVC_LIBRARY_DIR}/zlib-1.2.3/lib/zlib.lib
                    debug     ${MSVC_LIBRARY_DIR}/zlib-1.2.3/lib/zlib_d.lib)
-  IF ($ENV{DXSDK_DIR} STREQUAL "")
+  IF($ENV{DXSDK_DIR} STREQUAL "")
     SET(ENV{DXSDK_DIR}       ${MSVC_LIBRARY_DIR}/directx-sdk-aug-2007)
-  ENDIF ($ENV{DXSDK_DIR} STREQUAL "")
+  ENDIF()
 
-ENDIF (MSVC AND LIBRARY_USE_PACKAGE_IF_SUPPORTED)
+ENDIF(MSVC AND LIBRARY_USE_PACKAGE_IF_SUPPORTED)
Index: code/branches/buildsystem2/cmake/LibraryConfigMinGW.cmake
===================================================================
--- code/branches/buildsystem2/cmake/LibraryConfigMinGW.cmake	(revision 2623)
+++ code/branches/buildsystem2/cmake/LibraryConfigMinGW.cmake	(revision 2624)
@@ -31,5 +31,5 @@
 ###################################################
 
-IF (MINGW AND LIBRARY_USE_PACKAGE_IF_SUPPORTED)
+IF(MINGW AND LIBRARY_USE_PACKAGE_IF_SUPPORTED)
   MESSAGE(STATUS "Running on MinGW. Using customized paths and options.")
 
@@ -39,7 +39,7 @@
   ELSEIF(EXISTS ${CMAKE_SOURCE_DIR}/../lis)
     SET(MINGW_LIBRARY_DIR "${CMAKE_SOURCE_DIR}/../libs")
-  ELSE(EXISTS ${CMAKE_SOURCE_DIR}/libs)
+  ELSE()
     MESSAGE(FATAL_ERROR "Could not find dependency directory for the MinGW libraries")
-  ENDIF(EXISTS ${CMAKE_SOURCE_DIR}/libs)
+  ENDIF()
   SET(ORXONOX_RUNTIME_LIBRARY_DIRECTORY ${MINGW_LIBRARY_DIR})
 
@@ -64,6 +64,6 @@
   SET(ZLIB_LIBRARY          "${MINGW_LIBRARY_DIR}/zlib/libzlib.a")
   SET(LINK_ZLIB_DYNAMIC    FALSE)
-  IF ($ENV{DXSDK_DIR} STREQUAL "")
+  IF($ENV{DXSDK_DIR} STREQUAL "")
     SET(ENV{DXSDK_DIR}      "${MINGW_LIBRARY_DIR}/DXSDK")
-  ENDIF ($ENV{DXSDK_DIR} STREQUAL "")
-ENDIF (MINGW AND LIBRARY_USE_PACKAGE_IF_SUPPORTED)
+  ENDIF()
+ENDIF(MINGW AND LIBRARY_USE_PACKAGE_IF_SUPPORTED)
Index: code/branches/buildsystem2/cmake/LibraryConfigTardis.cmake
===================================================================
--- code/branches/buildsystem2/cmake/LibraryConfigTardis.cmake	(revision 2623)
+++ code/branches/buildsystem2/cmake/LibraryConfigTardis.cmake	(revision 2624)
@@ -4,12 +4,12 @@
 #################################################
 
-IF (UNIX)
+IF(UNIX)
   FILE(STRINGS /etc/hostname HOSTNAME LIMIT_COUNT 1)
-  IF (${HOSTNAME} MATCHES "^tardis-[a-z][0-9][0-9]$")
+  IF(${HOSTNAME} MATCHES "^tardis-[a-z][0-9][0-9]$")
     SET (TARDIS ON)
-  ENDIF (${HOSTNAME} MATCHES "^tardis-[a-z][0-9][0-9]$")
-ENDIF (UNIX)
+  ENDIF()
+ENDIF(UNIX)
 
-IF (TARDIS)
+IF(TARDIS)
   MESSAGE(STATUS "Running on D-ITET isg.ee Tardis Computer. Using customized paths.")
 
@@ -31,3 +31,3 @@
   SET(ENV{OPENALDIR}   "/usr/pack/openal-0.0.8-cl;/usr/pack/openal-0.0.8-cl/i686-debian-linux3.1")
   #SET(TCL_INCLUDE_PATH "/usr/pack/tcltk-8.4.9.linux-mo/include")
-ENDIF (TARDIS)
+ENDIF(TARDIS)
Index: code/branches/buildsystem2/src/CMakeLists.txt
===================================================================
--- code/branches/buildsystem2/src/CMakeLists.txt	(revision 2623)
+++ code/branches/buildsystem2/src/CMakeLists.txt	(revision 2624)
@@ -54,9 +54,9 @@
   IF(NOT IS_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/ceguilua/ceguilua-${CEGUI_VERSION})
     MESSAGE(FATAL_ERROR "CEGUILua version not found in src folder. Update list of supported versions in LibraryConfig.cmake!")
-  ENDIF(NOT IS_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/ceguilua/ceguilua-${CEGUI_VERSION})
+  ENDIF()
 
   INCLUDE_DIRECTORIES(ceguilua/ceguilua-${CEGUI_VERSION})
   ADD_SUBDIRECTORY(ceguilua)
-ENDIF(CEGUILUA_USE_INTERNAL_LIBRARY)
+ENDIF()
 
 ADD_SUBDIRECTORY(cpptcl)
Index: code/branches/buildsystem2/src/ceguilua/CMakeLists.txt
===================================================================
--- code/branches/buildsystem2/src/ceguilua/CMakeLists.txt	(revision 2623)
+++ code/branches/buildsystem2/src/ceguilua/CMakeLists.txt	(revision 2624)
@@ -21,5 +21,5 @@
   IF(_compare_result EQUAL 1)
     BREAK() # _version > CEGUI_VERSION
-  ENDIF(_compare_result EQUAL 1)
+  ENDIF()
   ADD_SUBDIRECTORY(ceguilua-${_version})
 ENDFOREACH(_version)
@@ -53,5 +53,5 @@
 )
 
-IF (NOT WIN32)
+IF(NOT WIN32)
   INSTALL(TARGETS ceguilua_orxonox LIBRARY DESTINATION lib)
-ENDIF (NOT WIN32)
+ENDIF()
Index: code/branches/buildsystem2/src/core/CMakeLists.txt
===================================================================
--- code/branches/buildsystem2/src/core/CMakeLists.txt	(revision 2623)
+++ code/branches/buildsystem2/src/core/CMakeLists.txt	(revision 2624)
@@ -64,5 +64,5 @@
 )
 
-IF (NOT WIN32)
+IF(NOT WIN32)
   INSTALL(TARGETS core LIBRARY DESTINATION lib)
-ENDIF (NOT WIN32)
+ENDIF()
Index: code/branches/buildsystem2/src/cpptcl/CMakeLists.txt
===================================================================
--- code/branches/buildsystem2/src/cpptcl/CMakeLists.txt	(revision 2623)
+++ code/branches/buildsystem2/src/cpptcl/CMakeLists.txt	(revision 2624)
@@ -16,7 +16,7 @@
 IF(MSVC)
   ADD_LIBRARY(cpptcl_orxonox STATIC ${CPPTCL_FILES})
-ELSE(MSVC)
+ELSE()
   ADD_LIBRARY(cpptcl_orxonox SHARED ${CPPTCL_FILES})
-ENDIF(MSVC)
+ENDIF()
 
 TARGET_LINK_LIBRARIES(cpptcl_orxonox
@@ -24,5 +24,5 @@
 )
 
-IF (NOT WIN32)
+IF(NOT WIN32)
   INSTALL(TARGETS cpptcl_orxonox LIBRARY DESTINATION lib)
-ENDIF (NOT WIN32)
+ENDIF()
Index: code/branches/buildsystem2/src/network/CMakeLists.txt
===================================================================
--- code/branches/buildsystem2/src/network/CMakeLists.txt	(revision 2623)
+++ code/branches/buildsystem2/src/network/CMakeLists.txt	(revision 2624)
@@ -22,7 +22,7 @@
 IF(MINGW)
   ADD_LIBRARY(network ${NETWORK_FILES})
-ELSE(MINGW)
+ELSE()
   ADD_LIBRARY(network SHARED ${NETWORK_FILES})
-ENDIF(MINGW)
+ENDIF()
 
 SET_TARGET_PROPERTIES(network PROPERTIES DEFINE_SYMBOL "NETWORK_SHARED_BUILD")
@@ -35,16 +35,16 @@
 )
 
-IF (NOT WIN32)
+IF(NOT WIN32)
   INSTALL(TARGETS network LIBRARY DESTINATION lib)
-ENDIF (NOT WIN32)
+ENDIF()
 
 # build those parts only on request.
 IF(NETWORK_TESTING_ENABLED)
   ##### test for gamestate stuff #####
-  SET( TEST_SRC_FILES
+  SET(TEST_SRC_FILES
     ${NETWORK_SRC_FILES}
   )
   ADD_EXECUTABLE(networktest ${TEST_SRC_FILES})
-  TARGET_LINK_LIBRARIES( networktest
+  TARGET_LINK_LIBRARIES(networktest
     ${OGRE_LIBRARY}
     network
Index: code/branches/buildsystem2/src/ogreceguirenderer/CMakeLists.txt
===================================================================
--- code/branches/buildsystem2/src/ogreceguirenderer/CMakeLists.txt	(revision 2623)
+++ code/branches/buildsystem2/src/ogreceguirenderer/CMakeLists.txt	(revision 2624)
@@ -16,5 +16,5 @@
   ${CEGUI_LIBRARY}
 )
-IF (NOT WIN32)
+IF(NOT WIN32)
   INSTALL(TARGETS ogreceguirenderer_orxonox LIBRARY DESTINATION lib)
-ENDIF (NOT WIN32)
+ENDIF()
Index: code/branches/buildsystem2/src/ois/CMakeLists.txt
===================================================================
--- code/branches/buildsystem2/src/ois/CMakeLists.txt	(revision 2623)
+++ code/branches/buildsystem2/src/ois/CMakeLists.txt	(revision 2624)
@@ -29,5 +29,5 @@
 ELSEIF(UNIX)
   ADD_SUBDIRECTORY(linux)
-ENDIF (WIN32)
+ENDIF()
 
 GENERATE_SOURCE_GROUPS(${OIS_FILES})
@@ -36,9 +36,9 @@
 INCLUDE_DIRECTORIES(.)
 
-ADD_LIBRARY(ois_orxonox SHARED ${OIS_FILES} )
+ADD_LIBRARY(ois_orxonox SHARED ${OIS_FILES})
 SET_TARGET_PROPERTIES(ois_orxonox PROPERTIES DEFINE_SYMBOL "OIS_NONCLIENT_BUILD")
 
 IF(WIN32)
-  TARGET_LINK_LIBRARIES( ois_orxonox ${DIRECTX_LIBRARIES} )
-ENDIF(WIN32)
+  TARGET_LINK_LIBRARIES(ois_orxonox ${DIRECTX_LIBRARIES})
+ENDIF()
 
Index: code/branches/buildsystem2/src/orxonox/CMakeLists.txt
===================================================================
--- code/branches/buildsystem2/src/orxonox/CMakeLists.txt	(revision 2623)
+++ code/branches/buildsystem2/src/orxonox/CMakeLists.txt	(revision 2624)
@@ -27,5 +27,4 @@
 
 IF(NETWORKTRAFFIC_TESTING_ENABLED)
-
   SET(ORXONOXS_SRC_FILES
     GraphicsEngine.cc
@@ -33,5 +32,4 @@
     CameraManager.cc
   )
-
   ADD_LIBRARY(orxonoxs SHARED ${ORXONOXS_SRC_FILES})
 ENDIF(NETWORKTRAFFIC_TESTING_ENABLED)
@@ -61,11 +59,11 @@
   IF(CMAKE_CL_64)
     SET(MSVC_PLATFORM "x64")
-  ELSE(CMAKE_CL_64)
+  ELSE()
     SET(MSVC_PLATFORM "Win32")
-  ENDIF(CMAKE_CL_64)
+  ENDIF()
   CONFIGURE_FILE("${CMAKE_CURRENT_SOURCE_DIR}/orxonox.vcproj.user" "${CMAKE_CURRENT_BINARY_DIR}/orxonox.vcproj.user")
 ENDIF(MSVC)
 
-IF (NOT WIN32)
+IF(NOT WIN32)
   INSTALL(TARGETS orxonox RUNTIME DESTINATION bin)
-ENDIF (NOT WIN32)
+ENDIF()
Index: code/branches/buildsystem2/src/tinyxml/CMakeLists.txt
===================================================================
--- code/branches/buildsystem2/src/tinyxml/CMakeLists.txt	(revision 2623)
+++ code/branches/buildsystem2/src/tinyxml/CMakeLists.txt	(revision 2624)
@@ -15,9 +15,9 @@
 IF(MSVC)
   ADD_LIBRARY(tinyxml++_orxonox STATIC ${TINYXML++_FILES})
-ELSE(MSVC)
+ELSE()
   ADD_LIBRARY(tinyxml++_orxonox SHARED ${TINYXML++_FILES})
-ENDIF(MSVC)
+ENDIF()
 
-IF (NOT WIN32)
+IF(NOT WIN32)
   INSTALL(TARGETS tinyxml++_orxonox LIBRARY DESTINATION lib)
-ENDIF (NOT WIN32)
+ENDIF()
Index: code/branches/buildsystem2/src/tolua/CMakeLists.txt
===================================================================
--- code/branches/buildsystem2/src/tolua/CMakeLists.txt	(revision 2623)
+++ code/branches/buildsystem2/src/tolua/CMakeLists.txt	(revision 2624)
@@ -19,7 +19,7 @@
 TARGET_LINK_LIBRARIES(tolua++_orxonox ${LUA_LIBRARIES})
 
-IF (NOT WIN32)
+IF(NOT WIN32)
 #  INSTALL(TARGETS tolualib_orxonox LIBRARY DESTINATION lib)
-ENDIF (NOT WIN32)
+ENDIF()
 
 
Index: code/branches/buildsystem2/src/util/CMakeLists.txt
===================================================================
--- code/branches/buildsystem2/src/util/CMakeLists.txt	(revision 2623)
+++ code/branches/buildsystem2/src/util/CMakeLists.txt	(revision 2624)
@@ -23,5 +23,5 @@
 TARGET_LINK_LIBRARIES(util ${OGRE_LIBRARY})
 
-IF (NOT WIN32)
+IF(NOT WIN32)
   INSTALL(TARGETS util LIBRARY DESTINATION lib)
-ENDIF (NOT WIN32)
+ENDIF()
